Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160760 - Column size calculation is broken
Summary: Column size calculation is broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tcsh
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Bill Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 05:30 UTC by bwelling
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 6.14-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 22:32:35 UTC


Attachments (Terms of Use)

Description bwelling 2005-06-17 05:30:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When tcsh attempts to output filenames in columns (either using the built in ls-F or as a result of tab completion), an off-by-one error causes the display to be wider than the terminal window in some cases, such as running ls-F in /sys.



Version-Release number of selected component (if applicable):
tcsh-6.14-1

How reproducible:
Always

Steps to Reproduce:
1.cd /sys
2.ls-F
3.
  

Additional info:

This has been fixed in tcsh 6.14.02, which is unfortunately not listed on the main tcsh web page, or easily findable from the ftp sites listed on the web page. I found links (ftp://ftp.astron.com/pri/patch1.gz and ftp://ftp.astron.com/pri/patch2.gz) in the mailine list.  I added these patches to the spec file, removed the iconv patch which is subsumed, rebuilt, and it works much better now.

Comment 1 Miloslav Trmač 2005-06-20 22:32:35 UTC
Fixed in rawhide tcsh-6.14-2. Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.